rabbit.custom.min.consumer : 1
rabbit.custom.max.consumer : 10
rabbit.custom.active.trigger : 1
rabbit.custom.start.min.interval : 1
rabbit.custom.consecutive.idle : 2
rabbit.custom.stop.min.consumer : 1
rabbit.custom.heartbeat.interval : 10000

spring:
  sleuth:
    sampler:
      percentage: 1.0
  rabbitmq:
    host: tpod-gpec-mq0.pec-collaudo.pod2.local,tpod-gpec-mq1.pec-collaudo.pod2.local
    username: rabbitmq # sender.spring
    password: admin # 2n6RD4ywu68YgSH
    admin.username: rabbitmq
    admin.password: admin
    virtual-host: /
    ssl:
      enabled: false
      algorithm: TLSv1.2
      key-store: /rabbitmq-security/dev/inno-certs-p12/keycert.p12
      key-store-password: tihm2k16
      trust-store: /rabbitmq-security/dev/rabbitstore
      trust-store-password: truststorepass

outcome:
#directory per le ricevute .eml  punta alla shered-folder!!
  basepath: /opt/SHARE/GPEC/msg/dispatch/
  zippath: /opt/SHARE/GPEC/outcome/
  fixedDelay:
    milliseconds:
      zip:
        builder: 100000  #delay scheduler per la  creazione file zip di OUTCOME
        old:
          delete: 90000  #delay scheduler per la eliminazione vecchi file zip di OUTCOME

eureka:
  client:
    healthcheck.enabled: true
    registerWithEureka: true
    fetchRegistry: true
    serviceUrl.defaultZone: ${EUREKA_URI:http://tpod-gpec-appl1.pec-collaudo.pod2.local:8761/eureka/}



#Sintassi per settaggio intervallo validità:
#<valore numerico>-<tipo_intervallo> con tipo_intervallo:
#carattere che corrisponde a:
#d -> giorni
#h -> ore
#m -> minuti
#s -> secondi
#w -> settimane
#M -> mesi
#Y -> anni
# può essere usato un solo indicatore temporale fra quelli elencati
range.time.for.delete.outcome.for.lotto.in.state.outcome.generato: 1-h
range.time.for.delete.outcome.for.lotto.in.state.ack.output.ricevuto: 1-h
lot.max-processing-time: 1-h

email.path.input: /opt/SHARE/GPEC/msg/receipt/tmp/
email.path.output: /opt/SHARE/GPEC/msg/cleaned/
#email.path.old: /opt/SHARE/GPEC/msg/original/
email.file.extension: .msg

controllo.watcher.file.to.find.prefix: ACK_OUTPUT_

#path della folder sulla share nfs dove arrivano i FILE ACK OUTPUT e dove il proesso java AckOutputWatch sta in polling
folder.file.ack.output: /opt/SHARE/GPEC/ackoutput
#intervallo di tempo in secondi di polling sulla suddefinita folder da parte del processo java AckOutputWatch
folder.file.ack.output.polling.interval.seconds: 3
